Package: org.gradle.ide.cdt.model

## [Groovy] Class CprojectSettings

- org.gradle.ide.cdt.model.CprojectSettings

- Exposes a more logical view of the actual .cproject descriptor file

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `NativeComponentSpec` | `binary`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CprojectSettings (NativeComponentSpec binary, org.gradle.api.internal.project.ProjectInternal project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `applyTo(CprojectDescriptor descriptor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### NativeComponentSpec binary

  - ### Constructor Detail

    - #### CprojectSettings(NativeComponentSpec binary, org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### void applyTo(CprojectDescriptor descriptor)